Bug 984265 - MorphTo feature does not set predefined assignments and data input/output sets.
MorphTo feature does not set predefined assignments and data input/output sets.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 05:14 EDT by Marek Baluch
Modified: 2014-08-06 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-14 05:14:51 EDT
Description of problem:
Some OOtB tasks like Email, Log, ... have predefined assignments and data input/output sets. These are filled out when such a tasks is added from the palette using D'n'D. However if such a task is added to the cavas using a normal task and the morph to feature then the predefined data assignments and data input/output sets are missing. 

How to reproduce:
1) add a Task to the canvas
2) morph it to Email for example
3) take a look at it's properties
Comment 1 Tihomir Surdilovic 2013-09-05 11:26:37 EDT
Custom workitem nodes should have not been in the Activities/Tasks morphing menu tobegin with. I have removed that. Fixed in designer master and 6.0.x branches.
Comment 5 Marek Baluch 2013-10-21 04:45:21 EDT
Verified on ER4

Note You need to log in before you can comment on or make changes to this bug.